Index: branches/avi_play/src/lib/lang/class_list.cc
===================================================================
--- branches/avi_play/src/lib/lang/class_list.cc	(revision 5923)
+++ branches/avi_play/src/lib/lang/class_list.cc	(revision 5924)
@@ -133,5 +133,5 @@
  * @return the List accessed by classID, or NULL if not found
  */
-std::list<BaseObject*>* ClassList::getList(ClassID classID)
+const std::list<BaseObject*>* ClassList::getList(ClassID classID)
 {
   ClassList* fl;
@@ -156,5 +156,5 @@
  * @return the List accessed by classID, or NULL if not found
  */
-std::list<BaseObject*>* ClassList::getList(const char* className)
+const std::list<BaseObject*>* ClassList::getList(const char* className)
 {
   ClassList* fl;
Index: branches/avi_play/src/lib/lang/class_list.h
===================================================================
--- branches/avi_play/src/lib/lang/class_list.h	(revision 5923)
+++ branches/avi_play/src/lib/lang/class_list.h	(revision 5924)
@@ -40,9 +40,11 @@
     static void                           removeFromClassList(BaseObject* objectPointer);
 
-    static std::list<BaseObject*>*        getList(ClassID classID = CL_NULL);// { return (ClassList* fl = ClassList::getClassList(classID) != NULL)? &(fl->objectList) : NULL; };
-    static std::list<BaseObject*>*        getList(const char* className); // { return (ClassList* fl = ClassList::getClassList(className) != NULL)? &(fl->objectList) : NULL;  };
+    static const std::list<BaseObject*>*  getList(ClassID classID = CL_NULL);// { return (ClassList* fl = ClassList::getClassList(classID) != NULL)? &(fl->objectList) : NULL; };
+    static const std::list<BaseObject*>*  getList(const char* className); // { return (ClassList* fl = ClassList::getClassList(className) != NULL)? &(fl->objectList) : NULL;  };
     static const std::list<const char*>*  getClassNames();
     static BaseObject*                    getObject(const char* name, ClassID classID = CL_NULL);
     static bool                           exists(const BaseObject* object, ClassID classID = CL_NULL);
+
+    void                                  sendBack(std::list<BaseObject*>::const_iterator it);
 
     static void                           whatIs(const BaseObject* object);
@@ -51,5 +53,5 @@
     static long                           StringToID(const char* className);
     static void                           debug(unsigned int debugLevel = 0, long classID = CL_NULL);
-    static void                           debugS(const char* className = 0x0, unsigned int debugLevel = 0);
+    static void                           debugS(const char* className = NULL, unsigned int debugLevel = 0);
 
     inline bool                           operator==(ClassID classID) { return (this->classID == classID); };
Index: branches/avi_play/src/lib/network/network_manager.cc
===================================================================
--- branches/avi_play/src/lib/network/network_manager.cc	(revision 5923)
+++ branches/avi_play/src/lib/network/network_manager.cc	(revision 5924)
@@ -161,5 +161,5 @@
   if (this->netStreamList != NULL || (this->netStreamList = ClassList::getList(CL_NETWORK_STREAM)) != NULL)
   {
-    std::list<BaseObject*>::iterator stream;
+    std::list<BaseObject*>::const_iterator stream;
     for (stream = this->netStreamList->begin(); stream != this->netStreamList->end(); ++stream)
       static_cast<NetworkStream*>(*stream)->processData();
Index: branches/avi_play/src/lib/network/network_manager.h
===================================================================
--- branches/avi_play/src/lib/network/network_manager.h	(revision 5923)
+++ branches/avi_play/src/lib/network/network_manager.h	(revision 5924)
@@ -41,6 +41,6 @@
 
 private:
-  std::list<BaseObject*>*    netStreamList;            // list with refs to all network streams
-  std::list<BaseObject*>*    syncList;                 // list of synchronizeables
+  const std::list<BaseObject*>*    netStreamList;            // list with refs to all network streams
+  const std::list<BaseObject*>*    syncList;                 // list of synchronizeables
 
 };
Index: branches/avi_play/src/lib/shell/shell_command.cc
===================================================================
--- branches/avi_play/src/lib/shell/shell_command.cc	(revision 5923)
+++ branches/avi_play/src/lib/shell/shell_command.cc	(revision 5924)
@@ -159,5 +159,5 @@
   long classID = CL_NULL;                      //< the classID retrieved from the Class.
   ShellCommandClass* commandClass = NULL;      //< the command class this command applies to.
-  std::list<BaseObject*>* objectList = NULL;   //< the list of Objects stored in classID
+  const std::list<BaseObject*>* objectList = NULL;   //< the list of Objects stored in classID
   BaseObject* objectPointer = NULL;            //< a pointer to th Object to Execute the command on
   bool emptyComplete = false;                  //< if the completion input is empty string. e.g ""
Index: branches/avi_play/src/lib/shell/shell_completion.cc
===================================================================
--- branches/avi_play/src/lib/shell/shell_completion.cc	(revision 5923)
+++ branches/avi_play/src/lib/shell/shell_completion.cc	(revision 5924)
@@ -58,5 +58,5 @@
 
   long classID;                         //< the classID retrieved from the Class.
-  std::list<BaseObject*>* objectList;   //< the list of Objects stored in classID
+  const std::list<BaseObject*>* objectList;   //< the list of Objects stored in classID
   bool emptyComplete = false;           //< if the completion input is empty string. e.g ""
   long completeType = SHELLC_NONE;      //< the Type we'd like to complete.
Index: branches/avi_play/src/lib/sound/sound_engine.cc
===================================================================
--- branches/avi_play/src/lib/sound/sound_engine.cc	(revision 5923)
+++ branches/avi_play/src/lib/sound/sound_engine.cc	(revision 5924)
@@ -137,5 +137,5 @@
   if (this->sourceList != NULL)
   {
-    list<BaseObject*>::iterator source;
+    list<BaseObject*>::const_iterator source;
     for (source = this->sourceList->begin(); source != this->sourceList->end(); source++)
     {
@@ -182,5 +182,5 @@
   if (likely(this->sourceList != NULL))
   {
-    list<BaseObject*>::iterator sourceIT;
+    list<BaseObject*>::const_iterator sourceIT;
     SoundSource* source;
     for (sourceIT = this->sourceList->begin(); sourceIT != this->sourceList->end(); sourceIT++)
@@ -281,9 +281,13 @@
 
   // INITIALIZING THE DEVICE:
-  ALchar deviceName[] =
+#ifndef AL_VERSION_1_1
+  ALubyte deviceName[] =
+#else
+  ALCchar deviceName[] =
+#endif
 #ifdef __WIN32__
-      "native";
+      "Direct3D";
 #else
-      "'( ( devices '( native arts null ) ) )";
+      "'( ( devices '( native null ) ) )";
 #endif
   //
@@ -301,4 +305,36 @@
 }
 
+
+/**
+ * Allocates openAL sources
+ * @param count how many sources to allocate
+ * @returns true on success, false if at least one source could not be allocated
+ */
+bool SoundEngine::allocateSources(unsigned int count)
+{
+  ALuint* sourceList = new ALuint[count];
+  ALenum result;
+
+  alGenSources(count, sourceList);
+  if ((result = alGetError()) != AL_NO_ERROR)
+  {
+    SoundEngine::PrintALErrorString(result);
+    return false;
+  }
+
+  /// @TODO check syntax
+
+
+  // Setting default values.
+  for (int i = 0; i < count; i++)
+  {
+    alSourcef (sourceList[i], AL_PITCH,    1.0      );
+    alSourcef (sourceList[i], AL_GAIN,     this->getEffectsVolume() );
+    alSourcei (sourceList[i], AL_LOOPING,  AL_FALSE );
+    this->ALSources.push(sourceList[i]);
+  }
+  return true;
+}
+
 /**
  *  Transforms AL-errors into something readable
Index: branches/avi_play/src/lib/sound/sound_engine.h
===================================================================
--- branches/avi_play/src/lib/sound/sound_engine.h	(revision 5923)
+++ branches/avi_play/src/lib/sound/sound_engine.h	(revision 5924)
@@ -14,4 +14,5 @@
 
 #include <list>
+#include <stack>
 
 #define SOUND_DOPPLER_FACTOR       0.001          //!< A factor for the audible doppler effect
@@ -21,4 +22,5 @@
 class PNode;
 class IniParser;
+
 
 //! A class that handles audio via the openAudioLibrary
@@ -54,4 +56,6 @@
     void flushAllBuffers();
     void flushAllSources();
+
+    bool allocateSources(unsigned int count);
     bool initAudio();
 
@@ -66,17 +70,18 @@
 
   private:
-    static SoundEngine*      singletonRef;             //!< Reference to this class
+    static SoundEngine*            singletonRef;             //!< Reference to this class
 
-    ALCdevice*               device;                   //!< the used audio-device.
-    ALCcontext*              context;                  //!< the context, currently in use.
+    ALCdevice*                     device;                   //!< the used audio-device.
+    ALCcontext*                    context;                  //!< the context, currently in use.
 
-    float                    musicVolume;              //!< the maximum volume of the music in % (0f,1f]
-    float                    effectsVolume;            //!< the maximum volume of sound-effects in % (0f,1f]
-    PNode*                   listener;                 //!< The listener of the Scene
+    float                          musicVolume;              //!< the maximum volume of the music in % (0f,1f]
+    float                          effectsVolume;            //!< the maximum volume of sound-effects in % (0f,1f]
+    PNode*                         listener;                 //!< The listener of the Scene
 
-    std::list<BaseObject*>*  bufferList;               //!< A list of buffers
-    std::list<BaseObject*>*  sourceList;               //!< A list for all the sources in the scene.
+    const std::list<BaseObject*>*  bufferList;               //!< A list of buffers
+    const std::list<BaseObject*>*  sourceList;               //!< A list for all the sources in the scene.
 
-
+    unsigned int                   maxSourceCount;           //!< How many Sources is the Maximum
+    std::stack<ALuint>             ALSources;                //!< A list of real openAL-Sources, the engine allocates, and stores for reuse.
 };
 
Index: branches/avi_play/src/lib/sound/sound_source.h
===================================================================
--- branches/avi_play/src/lib/sound/sound_source.h	(revision 5923)
+++ branches/avi_play/src/lib/sound/sound_source.h	(revision 5924)
@@ -39,4 +39,5 @@
 
   private:
+    bool                   bPlay;                 //!< If the Source is Playing.
     ALuint                 sourceID;              //!< The ID of the Source
     const SoundBuffer*     buffer;                //!< The buffer to play in this source.
Index: branches/avi_play/src/story_entities/world.cc
===================================================================
--- branches/avi_play/src/story_entities/world.cc	(revision 5923)
+++ branches/avi_play/src/story_entities/world.cc	(revision 5924)
@@ -26,5 +26,4 @@
 #include "null_parent.h"
 #include "pilot_node.h"
-#include "track_node.h"
 #include "world_entity.h"
 #include "player.h"
@@ -40,5 +39,4 @@
 #include "shell.h"
 
-#include "track_manager.h"
 #include "garbage_collector.h"
 #include "fast_factory.h"
@@ -63,5 +61,4 @@
 #include "weapons/projectile.h"
 #include "event_handler.h"
-
 #include "sound_engine.h"
 #include "ogg_player.h"
@@ -72,4 +69,6 @@
 #include "npcs/npc_test1.h"
 #include "shader.h"
+
+#include "playable.h"
 
 SHELL_COMMAND(speed, World, setSpeed);
@@ -122,13 +121,14 @@
   PRINTF(3)("World::~World() - deleting current world\n");
 
+
   // here everything that is alocated by the World is deleted
   delete this->entities;
   State::setWorldEntityList(NULL);
 
+  delete this->localPlayer;
 
   // delete all the initialized Engines.
   FastFactory::flushAll(true);
   delete LightManager::getInstance();
-  delete TrackManager::getInstance();
   delete ParticleEngine::getInstance();
   delete AnimationPlayer::getInstance();
@@ -142,4 +142,5 @@
   // erease everything that is left.
   delete NullParent::getInstance();
+
   Shader::suspendShader();
 
@@ -172,4 +173,6 @@
   this->shell = NULL;
   this->entities = NULL;
+  this->localPlayer = NULL;
+  this->localCamera = NULL;
 
   this->showPNodes = false;
@@ -213,4 +216,5 @@
 
   AnimationPlayer::getInstance(); // initializes the animationPlayer
+  ParticleEngine::getInstance();
   PhysicsEngine::getInstance();
 
@@ -242,10 +246,10 @@
     }
 
-  TiXmlDocument* XMLDoc = new TiXmlDocument( path);
+  TiXmlDocument* XMLDoc = new TiXmlDocument( getPath());
   // load the campaign document
   if( !XMLDoc->LoadFile())
   {
     // report an error
-    PRINTF(1)("loading XML File: %s @ %d:%d\n", XMLDoc->ErrorDesc(), XMLDoc->ErrorRow(), XMLDoc->ErrorCol());
+    PRINTF(1)("loading XML File: %s @ %s:l%d:c%d\n", XMLDoc->ErrorDesc(), this->getPath(), XMLDoc->ErrorRow(), XMLDoc->ErrorCol());
     delete XMLDoc;
     return (ErrorMessage){213,"XML File parsing error","World::load()"};
@@ -313,17 +317,21 @@
       while( element != NULL)
         {
-          WorldEntity* created = dynamic_cast<WorldEntity*>( loader->fabricate( element));
-          if( created != NULL) this->spawn( created);
+          BaseObject* created = (loader->fabricate(element));
+          if( created != NULL )
+          {
+            if(created->isA(CL_WORLD_ENTITY))
+              this->spawn(dynamic_cast<WorldEntity*>(created));
+            printf("Created a %s: %s\n", created->getClassName(), created->getName());
+          }
+
           // if we load a 'Player' we use it as localPlayer
+
+
           //todo do this more elegant
-          if( element->Value() != NULL && !strcmp( element->Value(), "Player"))
-          {
-            localPlayer = (Player*) created;
-            CDEngine::getInstance()->setPlayer(localPlayer);
-          }
-          if( element->Value() != NULL && !strcmp( element->Value(), "SkyBox")) sky = (SkyBox*) created;
+          if( element->Value() != NULL && !strcmp( element->Value(), "SkyBox"))
+            sky = dynamic_cast<SkyBox*>(created);
           if( element->Value() != NULL && !strcmp( element->Value(), "Terrain"))
           {
-            terrain = (Terrain*) created;
+            terrain = dynamic_cast<Terrain*>(created);
             CDEngine::getInstance()->setTerrain(terrain);
           }
@@ -340,21 +348,6 @@
     LoadParamXML(root, "LightManager", LightManager::getInstance(), LightManager, loadParams);
 
-    LoadParamXML(root, "ParticleEngine", ParticleEngine::getInstance(), ParticleEngine, loadParams);
-    LoadParamXML(root, "PhysicsEngine", PhysicsEngine::getInstance(), PhysicsEngine, loadParams);
-
-  // find Track
-  element = root->FirstChildElement( "Track");
-  if( element == NULL)
-    {
-      PRINTF(0)("World is missing a 'Track'\n");
-    }
-  else
-    {
-      //load track
-      PRINTF(4)("Loading Track\n");
-
-      TrackManager::getInstance()->loadParams( element);
-      TrackManager::getInstance()->finalize();
-    }
+   LoadParamXML(root, "ParticleEngine", ParticleEngine::getInstance(), ParticleEngine, loadParams);
+//   LoadParamXML(root, "PhysicsEngine", PhysicsEngine::getInstance(), PhysicsEngine, loadParams);
 
   // free the XML data
@@ -363,31 +356,24 @@
   /* GENERIC LOADING PROCESS FINISHED */
 
-  // bind input
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_UP);
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_DOWN);
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_LEFT);
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_RIGHT);
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_FIRE1);
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_NEXT_WEAPON);
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_PREVIOUS_WEAPON);
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, SDLK_PAGEUP);
-  EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, SDLK_PAGEDOWN);
+
+  // Create a Player
+  this->localPlayer = new Player();
+
+  Playable* playable;
+  const list<BaseObject*>* playableList = ClassList::getList(CL_PLAYABLE);
+  if (playableList != NULL)
+  {
+    playable = dynamic_cast<Playable*>(playableList->front());
+    this->localPlayer->setControllable(playable);
+  }
 
   // bind camera
-  //this->localCamera->bind (localPlayer);
- // this->localPlayer->addChild (this->localCamera);
-
-
-  //        TrackManager::getInstance()->setBindSlave(env);
-  PNode* tn = TrackManager::getInstance()->getTrackNode();
-  tn->addChild(this->localPlayer);
-
-  //localCamera->setParent(TrackNode::getInstance());
-  tn->addChild(this->localCamera);
-  localCamera->lookAt(tn);
+  playable->addChild (this->localCamera);
+
+//   //localCamera->setParent(TrackNode::getInstance());
+//  tn->addChild(this->localCamera);
   localCamera->setClipRegion(1, 10000.0);
-  this->localPlayer->setParentMode(PNODE_ALL);
-  TrackManager::getInstance()->condition(1, LEFTRIGHT, this->localPlayer);
-
+  localCamera->lookAt(playable);
+//  this->localPlayer->setParentMode(PNODE_ALL);
   if (sky != NULL)
   {
@@ -400,6 +386,4 @@
   glNewList (objectList, GL_COMPILE);
 
-  //TrackManager::getInstance()->drawGraph(.01);
-  //TrackManager::getInstance()->debug(2);
   glEndList();
 
@@ -412,11 +396,4 @@
   ////////////
 
-  Gravity* test = new Gravity();
-
-  // SYSTEM TRAILING THE PLAYER
-  // Creating a Test Particle System
-
-  //new PhysicsConnection(system, gravity);
-  //    new PhysicsConnection(this->localPlayer, gravity);
 
 //   TestEntity* testEntity = new TestEntity();
@@ -424,47 +401,4 @@
 //   testEntity->setRelDir(Quaternion(M_PI, Vector(0, 1, 0)));
 //   this->spawn(testEntity);
-
-//   TestEntity* testEntity2 = new TestEntity();
-//   testEntity2->setAnim(STAND);
-//   testEntity2->setRelCoor(Vector(2400.0, 10.0, -30.0));
-//   testEntity2->setRelDir(Quaternion(M_PI, Vector(0, 1, 0)));
-//   //testEntity2->setParent(this->localPlayer);
-//   this->spawn(testEntity2);
-//
-//   TestEntity* testEntity3 = new TestEntity();
-//   testEntity3->setAnim(BOOM);
-//   testEntity3->setRelCoor(Vector(2450.0, 10.0, -40.0));
-//   testEntity3->setRelDir(Quaternion(M_PI, Vector(0, 1, 0)));
-//   this->spawn(testEntity3);
-//
-//   TestEntity* testEntity4 = new TestEntity();
-//   testEntity4->setAnim(FLIP);
-//   testEntity4->setRelCoor(Vector(2500.0, 10.0, -22.0));
-//   testEntity4->setRelDir(Quaternion(M_PI, Vector(0, 1, 0)));
-//   this->spawn(testEntity4);
-//
-//   TestEntity* testEntity5 = new TestEntity();
-//   testEntity5->setAnim(WAVE);
-//   testEntity5->setRelCoor(Vector(2420.0, 10.0, -50.0));
-//   testEntity5->setRelDir(Quaternion(M_PI, Vector(0, 1, 0)));
-//   this->spawn(testEntity5);
-//
-//   TestEntity* testEntity6 = new TestEntity();
-//   testEntity6->setAnim(WAVE);
-//   testEntity6->setRelCoor(Vector(2420.0, 10.0, -20.0));
-//   testEntity6->setRelDir(Quaternion(M_PI, Vector(0, 1, 0)));
-//   this->spawn(testEntity6);
-//
-//   TestEntity* testEntity7 = new TestEntity();
-//   testEntity7->setAnim(WAVE);
-//   testEntity7->setRelCoor(Vector(2500.0, 10.0, -50.0));
-//   testEntity7->setRelDir(Quaternion(M_PI, Vector(0, 1, 0)));
-//   this->spawn(testEntity7);
-
-
-
-//  PhysicsEngine::getInstance()->debug();
-
-
 
   for(int i = 0; i < 100; i++)
@@ -476,11 +410,5 @@
     tmp->setAbsCoor(((float)rand()/RAND_MAX) * 5000, 50/*+ (float)rand()/RAND_MAX*20*/, ((float)rand()/RAND_MAX -.5) *30);
     this->spawn(tmp);
-
-
   }
-
-
-
-//  ClassList::debug();
 
   this->music = NULL;//(OggPlayer*)ResourceManager::getInstance()->load("sound/00-luke_grey_-_hypermode.ogg", OGG, RP_LEVEL);
@@ -498,60 +426,4 @@
   this->glmis->step();
   // stuff beyond this point remains to be loaded properly
-
-  // initializing the TrackManager
-  TrackManager::getInstance()->addPointV(Vector(150, -35, 5));
-  TrackManager::getInstance()->addPointV(Vector(200,-35, 5));
-  TrackManager::getInstance()->addPointV(Vector(250, -35, 5));
-  TrackManager::getInstance()->addPointV(Vector(320,-33,-.55));
-  TrackManager::getInstance()->setDuration(1);
-  TrackManager::getInstance()->setSavePoint();
-
-  TrackManager::getInstance()->addPointV(Vector(410, 0, 0));
-  TrackManager::getInstance()->addPointV(Vector(510, 20, -10));
-  TrackManager::getInstance()->addPointV(Vector(550, 20, -10));
-  TrackManager::getInstance()->addPointV(Vector(570, 20, -10));
-  TrackManager::getInstance()->setDuration(2);
-
-  TrackManager::getInstance()->forkS("testFork1,testFork2");
-  TrackManager::getInstance()->workOnS("testFork1");
-  TrackManager::getInstance()->addPointV(Vector(640, 25, -30));
-  TrackManager::getInstance()->addPointV(Vector(700, 40, -120));
-  TrackManager::getInstance()->addPointV(Vector(800, 50, -150));
-  TrackManager::getInstance()->addPointV(Vector(900, 60, -100));
-  TrackManager::getInstance()->addPointV(Vector(900, 60, -70));
-  TrackManager::getInstance()->addPointV(Vector(990, 65, -15));
-  TrackManager::getInstance()->addPointV(Vector(1050, 65, -10));
-  TrackManager::getInstance()->addPointV(Vector(1100, 65, -20));
-  TrackManager::getInstance()->setDuration(4);
-
-  TrackManager::getInstance()->workOnS("testFork2");
-  TrackManager::getInstance()->addPointV(Vector(640, 25, 20));
-  TrackManager::getInstance()->addPointV(Vector(670, 50, 120));
-  TrackManager::getInstance()->addPointV(Vector(700, 70, 80));
-  TrackManager::getInstance()->addPointV(Vector(800, 70, 65));
-  TrackManager::getInstance()->addPointV(Vector(850, 65, 65));
-  TrackManager::getInstance()->addPointV(Vector(920, 35, 40));
-  TrackManager::getInstance()->addPointV(Vector(945, 40, 40));
-  TrackManager::getInstance()->addPointV(Vector(970, 24, 40));
-  TrackManager::getInstance()->addPointV(Vector(1000, 40, -7));
-
-  TrackManager::getInstance()->setDuration(4);
-
-
-  TrackManager::getInstance()->joinS("testFork1,testFork2");
-
-  TrackManager::getInstance()->addPointV(Vector(1200, 60, -50));
-  TrackManager::getInstance()->addPointV(Vector(1300, 50, -50));
-  TrackManager::getInstance()->addPointV(Vector(1400, 40, -50));
-  TrackManager::getInstance()->addPointV(Vector(1500, 40, -60));
-  TrackManager::getInstance()->addPointV(Vector(1600, 35, -55));
-  TrackManager::getInstance()->addPointV(Vector(1700, 45, -40));
-  TrackManager::getInstance()->addPointV(Vector(1750, 60, -40));
-  TrackManager::getInstance()->addPointV(Vector(1770, 80, -40));
-  TrackManager::getInstance()->addPointV(Vector(1800, 100, -40));
-  TrackManager::getInstance()->setDuration(10);
-
-  TrackManager::getInstance()->finalize();
-
 
   // LIGHT initialisation
@@ -571,23 +443,6 @@
       {
         LightManager::getInstance()->getLight()->setAbsCoor(-5.0, 10.0, -40.0);
-
-
-        this->localPlayer = new Player ();
-        this->localPlayer->setName ("player");
-        this->spawn (this->localPlayer);
-        this->localPlayer->setRelCoor(Vector(5,0,0));
         /*monitor progress*/
         this->glmis->step();
-
-
-        EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_FIRE1);
-        EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_NEXT_WEAPON);
-        EventHandler::getInstance()->subscribe(this->localPlayer, ES_GAME, KeyMapper::PEV_PREVIOUS_WEAPON);
-
-        /*
-        Field* testField = new Gravity();
-        testField->setMagnitude(10);
-        new PhysicsConnection(this->localPlayer, testField);
-        */
 
         // bind camera
@@ -614,26 +469,4 @@
         this->glmis->step();
 
-        this->pilotNode = new PilotNode();
-        this->spawn(this->pilotNode);
-        this->pilotNode->setAbsCoor(Vector(150, -35, 5));
-        this->pilotNode->addChild(this->localPlayer);
-        this->pilotNode->addChild(this->localCamera);
-        this->localCamera->lookAt(this->localPlayer);
-
-        EventHandler::getInstance()->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_UP);
-        EventHandler::getInstance()->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_DOWN);
-        EventHandler::getInstance()->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_LEFT);
-        EventHandler::getInstance()->subscribe(this->pilotNode, ES_GAME, KeyMapper::PEV_RIGHT);
-        EventHandler::getInstance()->subscribe(this->pilotNode, ES_GAME, EV_MOUSE_MOTION);
-
-        /*
-        PNode* tn = TrackManager::getInstance()->getTrackNode();
-        tn->addChild(this->localPlayer);
-        this->localCamera->lookAt(tn);
-
-        tn->addChild(this->localCamera);
-        this->localPlayer->setParentMode(PNODE_ALL);
-        TrackManager::getInstance()->condition(2, LEFTRIGHT, this->localPlayer);
-        */
         this->glmis->step();
         break;
@@ -663,5 +496,4 @@
 {
   this->bPause = false;
-  this->pilotNode = NULL;
 
   /* update the object position before game start - so there are no wrong coordinates used in the first processing */
@@ -838,8 +670,4 @@
 void World::handleInput ()
 {
-  // localinput
-  //CommandNode* cn = Orxonox::getInstance()->getLocalInput();
-  //cn->process();
-
   EventHandler::getInstance()->process();
 
@@ -893,5 +721,4 @@
 
       /* update tick the rest */
-      TrackManager::getInstance()->tick(this->dtS);
       this->localCamera->tick(this->dtS);
       // tick the engines
Index: branches/avi_play/src/story_entities/world.h
===================================================================
--- branches/avi_play/src/story_entities/world.h	(revision 5923)
+++ branches/avi_play/src/story_entities/world.h	(revision 5924)
@@ -16,5 +16,4 @@
 class Camera;
 class Player;
-class PNode;
 class GLMenuImageScreen;
 class Terrain;
@@ -22,5 +21,4 @@
 class Text;
 class TiXmlElement;
-class PilotNode;
 
 class Shell;
@@ -121,7 +119,4 @@
     tList<WorldEntity>* entities;       //!< A template List of all entities. Every moving thing should be included here, and world automatically updates them.
     Player* localPlayer;                //!< The Player, you fly through the level.
-    PilotNode* pilotNode;               //!< THe pilot node to fly with the mouse
-
-
 };
 
Index: branches/avi_play/src/subprojects/importer/Makefile.am
===================================================================
--- branches/avi_play/src/subprojects/importer/Makefile.am	(revision 5923)
+++ branches/avi_play/src/subprojects/importer/Makefile.am	(revision 5924)
@@ -6,5 +6,6 @@
 importer_LDFLAGS = $(MWINDOWS)
 
-bin_PROGRAMS = importer
+bin_PROGRAMS = importer \
+               multitex
 
 importer_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
@@ -32,3 +33,32 @@
                   $(MAINSRCDIR)/lib/util/color.cc \
                   $(MAINSRCDIR)/lib/util/multi_type.cc \
+                  $(MAINSRCDIR)/lib/util/executor/executor.cc \
                   $(MAINSRCDIR)/util/loading/factory.cc
+
+
+multitex_LDADD = $(MAINSRCDIR)/lib/event/libORXevent.a \
+                 $(MAINSRCDIR)/lib/tinyxml/libtinyxml.a \
+                 $(MAINSRCDIR)/lib/graphics/libORXgraphics.a \
+                 $(MAINSRCDIR)/lib/shell/libORXshell.a \
+                 $(MAINSRCDIR)/lib/sound/libORXsound.a \
+                 $(MAINSRCDIR)/lib/graphics/importer/libORXimporter.a
+
+multitex_SOURCES= ../framework.cc \
+                  multitex.cc \
+                  $(MAINSRCDIR)/util/state.cc \
+                  $(MAINSRCDIR)/world_entities/camera.cc \
+                  $(MAINSRCDIR)/lib/lang/base_object.cc \
+                  $(MAINSRCDIR)/lib/lang/class_list.cc \
+                  $(MAINSRCDIR)/lib/math/vector.cc \
+                  $(MAINSRCDIR)/util/loading/resource_manager.cc \
+                  $(MAINSRCDIR)/lib/util/ini_parser.cc \
+                  $(MAINSRCDIR)/lib/coord/p_node.cc \
+                  $(MAINSRCDIR)/lib/coord/null_parent.cc \
+                  $(MAINSRCDIR)/util/loading/load_param.cc \
+                  $(MAINSRCDIR)/util/loading/load_param_description.cc \
+                  $(MAINSRCDIR)/lib/util/helper_functions.cc \
+                  $(MAINSRCDIR)/lib/util/substring.cc \
+                  $(MAINSRCDIR)/lib/util/color.cc \
+                  $(MAINSRCDIR)/lib/util/multi_type.cc \
+                  $(MAINSRCDIR)/lib/util/executor/executor.cc \
+                  $(MAINSRCDIR)/util/loading/factory.cc
Index: branches/avi_play/src/subprojects/importer/multitex.cc
===================================================================
--- branches/avi_play/src/subprojects/importer/multitex.cc	(revision 5924)
+++ branches/avi_play/src/subprojects/importer/multitex.cc	(revision 5924)
@@ -0,0 +1,103 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+
+   this file extends the framework file, so it renders what i want.
+*/
+
+#include "framework.h"
+
+#include "light.h"
+
+#include "texture_sequence.h"
+#include "material.h"
+
+#include "objModel.h"
+
+#include "primitive_model.h"
+#include <stdlib.h>
+
+#include "resource_manager.h"
+
+Model* obj;
+TextureSequence* seq;
+Texture* test;
+Material* testMat;
+
+float counter = 0;
+
+
+void Framework::moduleInit(int argc, char** argv)
+{
+  ResourceManager::getInstance()->addImageDir("./");
+
+  testMat = new Material;
+
+  seq = new TextureSequence();
+  for (int i = 1; i < argc; i++)
+  {
+    seq->addFrame(argv[i]);
+    printf("%s\n", argv[i]);
+  }
+  test = new Texture(argv[1]);
+  testMat->setDiffuseMap(argv[1]);
+
+  ResourceManager::getInstance()->addImageDir("");
+
+
+  obj = new PrimitiveModel(PRIM_SPHERE, 10.0);
+
+  ResourceManager::getInstance()->debug();
+
+  LightManager* lightMan = LightManager::getInstance();
+  lightMan->setAmbientColor(.1,.1,.1);
+  (new Light())->setAbsCoor(5.0, 10.0, 40.0);
+  (new Light())->setAbsCoor(-10, -20, -100);
+}
+
+void Framework::moduleEventHandler(SDL_Event* event)
+{
+  switch (event->type)
+    {
+    case SDL_KEYDOWN:
+      switch (event->key.keysym.sym)
+        {
+        case SDLK_i:
+          break;
+        }
+    }
+}
+
+void Framework::moduleTick(float dt)
+{
+  counter+=dt;
+
+  seq->gotoFrame((unsigned int)counter);
+  if ((unsigned int)counter > seq->getFrameCount())
+    counter = 0;
+}
+
+void Framework::moduleDraw(void) const
+{
+  testMat->select();
+  glBindTexture(GL_TEXTURE_2D, seq->getTexture());
+  obj->draw();
+
+  LightManager::getInstance()->draw();
+}
+
+
+void Framework::moduleHelp(void) const
+{
+
+}
